List top rewards by redemptions
curl --request GET \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/analytics/top-rewards \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/analytics/top-rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/analytics/top-rewards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"items": [
{
"redemption_count": 123,
"reward": {
"id": "<string>",
"is_active": true,
"onchain_asset_id": "<string>",
"tenant_id": "<string>",
"title": "<string>",
"xp_cost": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"metadata": "<unknown>",
"min_tier_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"share_of_tenant_redemptions_percent": 123
}
],
"tenant_id": "<string>",
"total_redemptions": 123
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}Analytics
List top rewards by redemptions
Ranks rewards by redemption count through the Portal API.
See the Gateway API entry for the full description.
GET
/
tenant
/
{tenantId}
/
analytics
/
top-rewards
List top rewards by redemptions
curl --request GET \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/analytics/top-rewards \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/analytics/top-rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/analytics/top-rewards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"items": [
{
"redemption_count": 123,
"reward": {
"id": "<string>",
"is_active": true,
"onchain_asset_id": "<string>",
"tenant_id": "<string>",
"title": "<string>",
"xp_cost": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"metadata": "<unknown>",
"min_tier_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"share_of_tenant_redemptions_percent": 123
}
],
"tenant_id": "<string>",
"total_redemptions": 123
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}⌘I

